/* TCHK 2.0 - Howard Kapustein's Turbo C library       12-3-88 */
/* Copyright (C) 1988, Howard Kapustein.  All rights reserved. */

/* chiphk.h  -  header file for CHIPHK.C - chip id routines */

#ifndef CHIPHK_HEADER
#define CHIPHK_HEADER   1

#define CPU_808x    0
#define CPU_8088    0
#define CPU_8086    0
#define CPU_8018x   1
#define CPU_80188   1
#define CPU_80186   1
#define CPU_80286   2
#define CPU_80386   3
#define CPU_NEC     4

#define NDP_NONE    0
#define NDP_8087    1
#define NDP_80287   2
#define NDP_80387   3

int cpu_id(void);            /* identify cpu */
int ndp_id(void);            /* identify math chip */

#endif              /* CHIPHK_HEADER */
