/* TCHK 2.0 - Howard Kapustein's Turbo C library       12-3-88 */
/* Copyright (C) 1988, Howard Kapustein.  All rights reserved. */

/* color.h  -  header file containing color definitions */

/* These colors are intended to complement the list in CONIO.H. Make sure
   you include <conio.h> as well as <color.h> in your program               */

#ifndef COLOR_HEADER
#define COLOR_HEADER    1

#define DWHITE      0x7      /* Dark White (conio.h lists this as LIGHTGRAY) */
#define LBLACK      0x8      /* HEX 8-F: highlighted colors */
#define LBLUE       0x9
#define LGREEN      0xA
#define LCYAN       0xB
#define LRED        0xC
#define LMAGENTA    0xD
#define LBROWN      0xE
#define LWHITE      0xF

#define B_BLACK       0x00        /* HEX 10-70: background colors */
#define B_BLUE        0x10
#define B_GREEN       0x20
#define B_CYAN        0x30
#define B_RED         0x40
#define B_MAGENTA     0x50
#define B_BROWN       0x60
#define B_WHITE       0x70

#define BOLD          0x8         /* bold (highlight) color */
#define INVERSE       0x70        /* inverse video (black on white) */
#define REVERSE       0x70
#define NORMAL        0x7         /* white on black */
#define UNDERLINE     0x1         /* Underline (mono only) */

#define maskforeground  0x0F      /* bit mask to get foreground */
#define maskbackground  0x70      /* bit mask to get background */

#endif              /* COLOR_HEADER */
